com.r3corda.core.contracts / SchedulableState / nextScheduledActivity

# nextScheduledActivity

`abstract fun nextScheduledActivity(thisStateRef: StateRef, protocolLogicRefFactory: ProtocolLogicRefFactory): ScheduledActivity?`

Indicate whether there is some activity to be performed at some future point in time with respect to this ContractState, what that activity is and at what point in time it should be initiated. This can be used to implement deadlines for payment or processing of financial instruments according to a schedule.

The state has no reference to its own StateRef, so supply that for use as input to any ProtocolLogic constructed.

Return
null if there is no activity to schedule.